=== debian/changelog ===
restinio (0.6.6-1) unstable; urgency=medium

  [ Sébastien Delafond ]
  * Build-depend on cmake
  * Add debian/watch
  * Clean up d/rules
  * Enable tests and samples, with extra build-depends
  * New upstream version 0.6.6
  * Add basic d/salsa-ci.yml

 -- Sebastien Delafond <seb@debian.org>  Thu, 07 May 2020 15:51:22 +0200

restinio (0.6.4-1) UNRELEASED; urgency=medium

  * Initial release (Closes: #946832)
  * TODO: why does it have build depends,
          possible cmake ma{gic,dness}?

 -- Felix Salfelder <felix@salfelder.org>  Sun, 16 Feb 2020 19:07:44 +0000
