=== debian/control ===
Source: restinio
Priority: optional
Maintainer: Felix Salfelder <felix@salfelder.org>
Build-Depends: debhelper-compat (= 12),
  libasio-dev, 
  libfmt-dev,
  cmake,
  libboost-dev,
  libboost-regex-dev,
  libssl-dev,
  zlib1g-dev,
  libpcre2-dev,
  libhttp-parser-dev,
  libpcre++-dev,
  catch2
Standards-Version: 4.5.0
Section: libs
Homepage: https://github.com/Stiffstream/restinio
Vcs-Browser: https://salsa.debian.org/debian/restinio
Vcs-Git: https://salsa.debian.org/debian/restinio.git
Rules-Requires-Root: no

Package: librestinio-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}
Description: restinio implements an embedded HTTP/Websocket server
 It is based on standalone version of ASIO and targeted primarily for
 asynchronous processing of HTTP-requests.
 Since v.0.4.1 Boost::ASIO (1.66 or higher) is also supported
 This package contains a header-only C++14 library.
