=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
# export DH_VERBOSE = 1


export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

CMAKE_OPTIONS := -DRESTINIO_FIND_DEPS=1 \
                 -DRESTINIO_USE_EXTERNAL_HTTP_PARSER=1 \
                 -DRESTINIO_FMT_HEADER_ONLY=0 \
                 -DRESTINIO_ALLOW_SOBJECTIZER=1 \
	         -DRESTINIO_TEST=1 \
                 -DRESTINIO_SAMPLE=1 \
                 -DRESTINIO_BENCH=1 \
                 -DCMAKE_LIBRARY_ARCHITECTURE="$(DEB_HOST_MULTIARCH)"

%:
	dh $@ --sourcedirectory=dev

override_dh_auto_configure:
	dh_auto_configure --sourcedirectory=dev -- $(CMAKE_OPTIONS)

override_dh_auto_test:
	export DEB_BUILD_OPTIONS="parallel=1" ; dh_auto_test

override_dh_auto_install:
	dh_auto_install
	rm -fr debian/librestinio-dev/usr/bin
