=== dev/sample/custom_buffer/CMakeLists.txt ===
set(SAMPLE sample.custom_buffer)
include(${CMAKE_SOURCE_DIR}/cmake/sample.cmake)
