=== dev/test/handle_requests/chained_handlers/CMakeLists.txt ===
set(UNITTEST _unit.test.handle_requests.chained_handlers)
include(${CMAKE_SOURCE_DIR}/cmake/unittest.cmake)
