=== dev/test/handle_requests/slow_transmit/CMakeLists.txt ===
set(UNITTEST _unit.test.handle_requests.slow_transmit)
include(${CMAKE_SOURCE_DIR}/cmake/unittest.cmake)
