=== debian/changelog ===
restinio (0.6.13-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.

 -- Alexandre Viau <aviau@debian.org>  Mon, 04 Jan 2021 11:26:26 -0500

restinio (0.6.6-3) unstable; urgency=medium

  * Link atomic on a few architectures (Closes: #960824)
    Thanks to Adrian Bunk.
  * Disable tests (avoid internet access).

 -- Felix Salfelder <felix@salfelder.org>  Mon, 19 Oct 2020 08:51:24 +0100

restinio (0.6.6-2) unstable; urgency=medium

  [ Felix Salfelder ]
  * add dependencies on http-parser and fmt (Closes: #968454)

 -- Sebastien Delafond <seb@debian.org>  Mon, 31 Aug 2020 09:02:31 +0200
