=== debian/rules ===
--- 
+++ 
@@ -14,11 +14,15 @@
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
+ifneq (,$(filter $(DEB_HOST_ARCH), armel m68k mipsel powerpc sh4))
+	export DEB_LDFLAGS_MAINT_APPEND += -Wl,--no-as-needed -latomic -Wl,--as-needed
+endif
+
 CMAKE_OPTIONS := -DRESTINIO_FIND_DEPS=1 \
                  -DRESTINIO_USE_EXTERNAL_HTTP_PARSER=1 \
                  -DRESTINIO_FMT_HEADER_ONLY=0 \
                  -DRESTINIO_ALLOW_SOBJECTIZER=1 \
-	         -DRESTINIO_TEST=1 \
+                 -DRESTINIO_TEST=1 \
                  -DRESTINIO_SAMPLE=1 \
                  -DRESTINIO_BENCH=1 \
                  -DCMAKE_LIBRARY_ARCHITECTURE="$(DEB_HOST_MULTIARCH)"
@@ -30,7 +34,7 @@
 	dh_auto_configure --sourcedirectory=dev -- $(CMAKE_OPTIONS)
 
 override_dh_auto_test:
-	export DEB_BUILD_OPTIONS="parallel=1" ; dh_auto_test
+	: # export DEB_BUILD_OPTIONS="parallel=1" ; dh_auto_test
 
 override_dh_auto_install:
 	dh_auto_install
