=== debian/watch ===
version=4
https://github.com/Stiffstream/restinio/releases (?:.*?/)restinio-(\d[\d.]*)-full\.tar\.bz2 debian uupdate
