## restinio 0.6.13-1%2B10.0trisquel1

=== dev/restinio/CMakeLists.txt ===
--- 
+++ 
@@ -53,7 +53,7 @@
 	IF (RESTINIO_FMT_HEADER_ONLY)
 		TARGET_LINK_LIBRARIES(${RESTINIO} INTERFACE fmt::fmt-header-only)
 	ELSE ()
-		TARGET_LINK_LIBRARIES(${RESTINIO} PUBLIC fmt::fmt)
+		TARGET_LINK_LIBRARIES(${RESTINIO} INTERFACE fmt::fmt)
 	ENDIF ()
 
 	IF (RESTINIO_USE_EXTERNAL_HTTP_PARSER)
@@ -75,11 +75,53 @@
 	ENDIF ()
 ENDIF ()
 
+IF (RESTINIO_USE_EXTERNAL_EXPECTED_LITE)
+	TARGET_LINK_LIBRARIES(${RESTINIO} INTERFACE nonstd::expected-lite)
+	TARGET_COMPILE_DEFINITIONS(${RESTINIO}
+		INTERFACE -DRESTINIO_EXTERNAL_EXPECTED_LITE)
+ENDIF()
+
+IF (RESTINIO_USE_EXTERNAL_OPTIONAL_LITE)
+	TARGET_LINK_LIBRARIES(${RESTINIO} INTERFACE nonstd::optional-lite)
+	TARGET_COMPILE_DEFINITIONS(${RESTINIO}
+		INTERFACE -DRESTINIO_EXTERNAL_OPTIONAL_LITE)
+ENDIF()
+
+IF (RESTINIO_USE_EXTERNAL_STRING_VIEW_LITE)
+	TARGET_LINK_LIBRARIES(${RESTINIO} INTERFACE nonstd::string-view-lite)
+	TARGET_COMPILE_DEFINITIONS(${RESTINIO}
+		INTERFACE -DRESTINIO_EXTERNAL_STRING_VIEW_LITE)
+ENDIF()
+
+IF (RESTINIO_USE_EXTERNAL_VARIANT_LITE)
+	TARGET_LINK_LIBRARIES(${RESTINIO} INTERFACE nonstd::variant-lite)
+	TARGET_COMPILE_DEFINITIONS(${RESTINIO}
+		INTERFACE -DRESTINIO_EXTERNAL_VARIANT_LITE)
+ENDIF()
+
 IF ( NOT (RESTINIO_USE_BOOST_ASIO STREQUAL "none") )
 	TARGET_LINK_LIBRARIES(${RESTINIO} INTERFACE ${Boost_SYSTEM_LIBRARY} )
 ENDIF ()
 
 FILE(GLOB_RECURSE RESTINIO_HEADERS_ALL RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.?pp)
+
+# If *_lite library is used as external dependency then the corresponding
+# 3rd-party file should be removed.
+IF (RESTINIO_USE_EXTERNAL_EXPECTED_LITE)
+	list(REMOVE_ITEM RESTINIO_HEADERS_ALL third_party/expected-lite/expected.hpp)
+ENDIF()
+
+IF (RESTINIO_USE_EXTERNAL_OPTIONAL_LITE)
+	list(REMOVE_ITEM RESTINIO_HEADERS_ALL third_party/optional-lite/optional.hpp)
+ENDIF()
+
+IF (RESTINIO_USE_EXTERNAL_STRING_VIEW_LITE)
+	list(REMOVE_ITEM RESTINIO_HEADERS_ALL third_party/string-view-lite/string_view.hpp)
+ENDIF()
+
+IF (RESTINIO_USE_EXTERNAL_VARIANT_LITE)
+	list(REMOVE_ITEM RESTINIO_HEADERS_ALL third_party/variant-lite/variant.hpp)
+ENDIF()
 
 IF (RESTINIO_INSTALL)
 	include(GNUInstallDirs)
