=== debian/changelog ===
restinio (0.6.13-1+10.0trisquel1) nabia; urgency=medium

  * Backported from Hirsute

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 29 Sep 2021 10:34:48 +0000
