## restinio 0.6.13-1+10.0trisquel1

=== dev/CMakeLists.txt ===
--- 
+++ 
@@ -19,21 +19,39 @@
 option(RESTINIO_FIND_DEPS "Use `find_package()` for including RESTinio dependencies." OFF)
 option(RESTINIO_FMT_HEADER_ONLY "Include fmt library as header-only." ON)
 
-option(RESTINIO_ALLOW_SOBJECTIZER "Allow add_subdirectory(so_5) in the main RESTinio CMakeLists.txt" ${RESTINIO_MASTER_PROJECT})
+option(RESTINIO_ALLOW_SOBJECTIZER "Allow usage of SObjectizer" ${RESTINIO_MASTER_PROJECT})
+
+option(RESTINIO_USE_EXTERNAL_SOBJECTIZER "Allow add_subdirectory(so_5) in the main RESTinio CMakeLists.txt" OFF)
 
 # Since v.0.6.5 a user can force usage of already installed http-parser
 # library.
 option(RESTINIO_USE_EXTERNAL_HTTP_PARSER "Use already installed http-parser library" OFF)
 
+# Since v.0.6.7 a user can force usage of already installed nonstd
+# libraries.
+option(RESTINIO_USE_EXTERNAL_EXPECTED_LITE
+	"Use already installed expected-lite library" OFF)
+option(RESTINIO_USE_EXTERNAL_OPTIONAL_LITE
+	"Use already installed optional-lite library" OFF)
+option(RESTINIO_USE_EXTERNAL_STRING_VIEW_LITE
+	"Use already installed string-view-lite library" OFF)
+option(RESTINIO_USE_EXTERNAL_VARIANT_LITE
+	"Use already installed variant-lite library" OFF)
+
 SET(RESTINIO_USE_BOOST_ASIO "none" CACHE STRING "Use boost version of ASIO")
 SET(RESTINIO_USE_BOOST_ASIO_VALUES "none;static;shared")
 
 set_property(CACHE RESTINIO_USE_BOOST_ASIO PROPERTY STRINGS ${RESTINIO_USE_BOOST_ASIO_VALUES})
 
-IF ((RESTINIO_TEST OR RESTINIO_SAMPLE OR RESTINIO_BENCH)
-		AND (NOT RESTINIO_ALLOW_SOBJECTIZER))
-	message(FATAL_ERROR "RESTINIO_ALLOW_SOBJECTIZER can't be OFF if RESTINIO_TEST or RESTINIO_SAMPLE or RESTINIO_BENCH is used")
-ENDIF ()
+project(RESTinioRootProject CXX)
+
+IF (RESTINIO_USE_EXTERNAL_SOBJECTIZER AND NOT RESTINIO_ALLOW_SOBJECTIZER)
+	message(FATAL_ERROR "RESTINIO_USE_EXTERNAL_SOBJECTIZER can't be set without RESTINIO_ALLOW_SOBJECTIZER")
+ENDIF()
+
+IF (RESTINIO_ALLOW_SOBJECTIZER)
+	SET(RESTINIO_SOBJECTIZER_ENABLED ON)
+ENDIF()
 
 IF (RESTINIO_MASTER_PROJECT)
 	# RESTinio is a main project (not subproject)
@@ -41,6 +59,7 @@
 
 	list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules")
 	include("${CMAKE_CURRENT_SOURCE_DIR}/cmake/link_threads_if_necessary.cmake")
+	include("${CMAKE_CURRENT_SOURCE_DIR}/cmake/link_atomic_if_necessary.cmake")
 
 	# ------------------------------------------------------------------------------
 	# RESTinio dependencies:
@@ -74,6 +93,8 @@
 			find_package(Catch2 CONFIG REQUIRED)
 		ENDIF ()
 
+		include_directories("${CMAKE_SOURCE_DIR}/clara")
+
 		# HTTP parser
 		IF (RESTINIO_USE_EXTERNAL_HTTP_PARSER)
 			find_package(http-parser REQUIRED)
@@ -98,6 +119,21 @@
 		# fmtlib
 		add_subdirectory(fmt)
 	ENDIF ()
+
+	# If RESTINIO_USE_EXTERNAL_*_LITE is defined we should
+	# search that libs regardless of RESTINIO_FIND_DEPS option.
+	IF (RESTINIO_USE_EXTERNAL_EXPECTED_LITE)
+		find_package(expected-lite REQUIRED)
+	ENDIF()
+	IF (RESTINIO_USE_EXTERNAL_OPTIONAL_LITE)
+		find_package(optional-lite REQUIRED)
+	ENDIF()
+	IF (RESTINIO_USE_EXTERNAL_STRING_VIEW_LITE)
+		find_package(string-view-lite REQUIRED)
+	ENDIF()
+	IF (RESTINIO_USE_EXTERNAL_VARIANT_LITE)
+		find_package(variant-lite REQUIRED)
+	ENDIF()
 
 	# ------------------------------------------------------------------------------
 
@@ -133,11 +169,16 @@
 
 	# ------------------------------------------------------------------------------
 	# SObjectizer
-	IF (RESTINIO_ALLOW_SOBJECTIZER)
-		SET(SOBJECTIZER_BUILD_STATIC ON)
+	IF (RESTINIO_SOBJECTIZER_ENABLED)
+		IF (RESTINIO_USE_EXTERNAL_SOBJECTIZER)
+			find_package(sobjectizer)
+		ELSE ()
+			SET(SOBJECTIZER_BUILD_STATIC ON)
+			add_subdirectory(so_5)
+		ENDIF ()
 		SET(SOBJECTIZER_LIBS sobjectizer::StaticLib)
-		add_subdirectory(so_5)
-	ENDIF ()
+	ENDIF()
+
 
 	# ------------------------------------------------------------------------------
 	# Zlib
