## restinio 0.6.16

=== dev/CMakeLists.txt ===
--- 
+++ 
@@ -93,8 +93,6 @@
 			find_package(Catch2 CONFIG REQUIRED)
 		ENDIF ()
 
-		include_directories("${CMAKE_SOURCE_DIR}/clara")
-
 		# HTTP parser
 		IF (RESTINIO_USE_EXTERNAL_HTTP_PARSER)
 			find_package(http-parser REQUIRED)
