=== debian/changelog ===
restinio (0.6.16-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop Build-Depends: libpcre++-dev. (Closes: #1020932)
  * Replace default CI config with central one.

  [ Bo YU ]
  * Fix FTBFS on riscv64. (Closes: #1019723)

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Update standards version to 4.5.1, no changes needed.

 -- Bastian Germann <bage@debian.org>  Thu, 29 Sep 2022 15:20:35 +0200

restinio (0.6.16-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release.
    - Fixes FTBFS with fmtlib 9. (Closes: #1014546)
    - catch2 updated to compile with glibc 2.34. (Closes: #1017149)
    - Drop 0001-INTERFACE-fmt-fmt.patch applied upstream.

 -- Adrian Bunk <bunk@debian.org>  Mon, 29 Aug 2022 01:53:03 +0300
