=== debian/control ===
--- 
+++ 
@@ -3,17 +3,16 @@
 Maintainer: Felix Salfelder <felix@salfelder.org>
 Build-Depends: catch2,
                cmake,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                libasio-dev,
                libboost-dev,
                libboost-regex-dev,
                libfmt-dev,
                libhttp-parser-dev,
-               libpcre++-dev,
                libpcre2-dev,
                libssl-dev,
                zlib1g-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Section: libs
 Homepage: https://github.com/Stiffstream/restinio
 Vcs-Browser: https://salsa.debian.org/debian/restinio
