## restinio 0.6.19

=== debian/changelog ===
restinio (0.6.19-1) unstable; urgency=medium

  * New upstream release
    - Drop upstreamed patch for fixing FBTFS with GCC 13.
  * Fix debian/watch file to correctly find upstream releases
  * Update debian/upstream/metadata
  * Switch debian/patches/ to {0xxx,1xxx,2xxx} naming convention
  * Update debian/copyright to address lintian warnings

 -- Amin Bandali <bandali@gnu.org>  Sat, 02 Sep 2023 16:49:01 -0400

restinio (0.6.16-1) unstable; urgency=medium

  * Fix FTBFS with GCC-13 (Closes: #1037841)
  * debian/control: Taking over the maintenance of the package; many
    thanks, Felix!
  * Update standards version to 4.6.2, no changes needed

 -- Amin Bandali <bandali@gnu.org>  Mon, 14 Aug 2023 20:00:33 -0400
