=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: restinio
 Priority: optional
-Maintainer: Felix Salfelder <felix@salfelder.org>
+Maintainer: Amin Bandali <bandali@gnu.org>
+Uploaders: Felix Salfelder <felix@salfelder.org>
 Build-Depends: catch2,
                cmake,
                debhelper-compat (= 13),
@@ -12,7 +13,7 @@
                libpcre2-dev,
                libssl-dev,
                zlib1g-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Section: libs
 Homepage: https://github.com/Stiffstream/restinio
 Vcs-Browser: https://salsa.debian.org/debian/restinio
