=== debian/watch ===
version=4
opts="searchmode=plain,\
filenamemangle=s%v?@ANY_VERSION@%@PACKAGE@-$1.tar.xz%" \
https://api.github.com/repos/Stiffstream/restinio/releases?per_page=50 \
https://github.com/[^/]+/[^/]+/releases/download/[^/]+/restinio-@ANY_VERSION@-full\.tar\.bz2
