## restinio 0.6.19+ds

=== dev/test/CMakeLists.txt ===
project(tests)

add_subdirectory(catch_main)
add_subdirectory(metaprogramming)
add_subdirectory(tuple_algorithms)

add_subdirectory(utf8_checker)

add_subdirectory(http_field_parser)
add_subdirectory(try_parse_field)
add_subdirectory(multipart_body)
add_subdirectory(default_constructed_settings)
add_subdirectory(ref_qualifiers_settings)
add_subdirectory(header)
add_subdirectory(buffers)
add_subdirectory(response_coordinator)
add_subdirectory(write_group_output_ctx)
add_subdirectory(uri_helpers)
add_subdirectory(socket_options)
add_subdirectory(start_stop)
add_subdirectory(handle_requests)
add_subdirectory(run_on_thread_pool)
add_subdirectory(http_pipelining)
add_subdirectory(sendfile)
add_subdirectory(router)
add_subdirectory(transforms/zlib)
add_subdirectory(transforms/zlib_body_appender)
add_subdirectory(transforms/zlib_body_handler)
add_subdirectory(encoders)
add_subdirectory(from_string)
add_subdirectory(websocket)
add_subdirectory(file_upload)
add_subdirectory(basic_auth)
add_subdirectory(bearer_auth)

if ( OPENSSL_FOUND )
	add_subdirectory(socket_options_tls)
endif ()
