=== dev/sample/sendfiles/CMakeLists.txt ===
set(SAMPLE sample.sendfiles)
include(${CMAKE_SOURCE_DIR}/cmake/sample.cmake)
