=== dev/sample/websocket_detailed/CMakeLists.txt ===
set(SAMPLE sample.websocket_detailed)
include(${CMAKE_SOURCE_DIR}/cmake/sample.cmake)
