=== dev/test/from_string/CMakeLists.txt ===
set(UNITTEST _unit.test.from_string)
include(${CMAKE_SOURCE_DIR}/cmake/unittest.cmake)
