=== dev/test/response_coordinator/CMakeLists.txt ===
set(UNITTEST _unit.test.response_coordinator)
include(${CMAKE_SOURCE_DIR}/cmake/unittest.cmake)
