=== dev/test/socket_options_tls/CMakeLists.txt ===
set(UNITTEST _unit.test.socket_options_tls)

include(${CMAKE_SOURCE_DIR}/cmake/unittest.cmake)

TARGET_INCLUDE_DIRECTORIES(${UNITTEST} PRIVATE ${OPENSSL_INCLUDE_DIR})
TARGET_LINK_LIBRARIES(${UNITTEST} PRIVATE ${OPENSSL_LIBRARIES})
