=== dev/test/start_stop/CMakeLists.txt ===
set(UNITTEST _unit.test.start_stop)
include(${CMAKE_SOURCE_DIR}/cmake/unittest.cmake)
