=== dev/test/utf8_checker/CMakeLists.txt ===
set(UNITTEST _unit.test.utf8_checker)
include(${CMAKE_SOURCE_DIR}/cmake/unittest.cmake)
