=== dev/test/write_group_output_ctx/CMakeLists.txt ===
set(UNITTEST _unit.test.write_group_output_ctx)
include(${CMAKE_SOURCE_DIR}/cmake/unittest.cmake)
