=== debian/changelog ===
restinio (0.6.19+ds-1) unstable; urgency=medium

  * Repack to remove several embedded copies, per #1053931.
  * debian/control: Add rapidjson-dev to Build-Depends.
  * debian/copyright: Remove entries corresponding to the
    removed embedded copies.
  * debian/watch: Add compression=bzip2, dversionmangle=auto,
    and repacksuffix=+ds.

 -- Amin Bandali <bandali@gnu.org>  Thu, 26 Oct 2023 01:00:31 -0400
