## restinio 0.6.19+ds-1+11.0trisquel1

=== debian/changelog ===
restinio (0.6.19+ds-1+11.0trisquel1) aramo-backports; urgency=medium

  * Imported into trisquel backports as part of jami dependency.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 31 Oct 2023 11:37:43 +0000
