=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: restinio
 Priority: optional
-Maintainer: Amin Bandali <bandali@gnu.org>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 Uploaders: Felix Salfelder <felix@salfelder.org>
 Build-Depends: catch2,
                cmake,
@@ -12,6 +12,7 @@
                libhttp-parser-dev,
                libpcre2-dev,
                libssl-dev,
+               rapidjson-dev,
                zlib1g-dev
 Standards-Version: 4.6.2
 Section: libs
